:root {
    --footer-accent: #364153;
}

footer {
    padding-block: 8rem;
    background-color: var(--main-col2);
}

footer a {
    text-decoration: none;
    color: var(--font-col-400);
    transition: color 0.25s;
}
footer a:is(:hover, :focus-visible) {
    color: var(--yellow) !important;
}

footer .footer-top {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    gap: 2rem;
}

footer .footer-top .group {
    display: grid;
    align-content: start;
    gap: 2rem;
}
footer .footer-top .sub-group {
    display: grid;
    align-content: start;
    gap: 1rem;
}

footer .footer-top h3 {
    font-size: 3.2rem;
    font-style: italic;
    color: var(--font-col-600);
    text-transform: uppercase;
}
footer .footer-top h4 {
    font-size: 2.4rem;
    font-style: italic;
    color: var(--yellow);
}

footer .footer-top ul {
    list-style: none;
    display: grid;
}
footer .footer-top .group ul {
    gap: 1.2rem;
}
footer .footer-top .sub-group ul {
    gap: 5px;
}

footer .footer-top .group a {
    font-size: 1.6rem;
    color: var(--font-col-400);
}
footer .footer-top .sub-group a {
    font-size: 1.4rem;
    color: var(--font-col-300);
}


footer .footer-top .group ul li {
    display: flex;
    align-items: start;
    gap: 1rem;
}
footer .footer-top .group ul li address {
    display: grid;
    gap: 5px;
}
footer .footer-top .group ul li address a {
    font-size: 1.4rem;
    font-style: normal;
    color: var(--font-col-300);
}
footer .footer-top svg {
    --w: 20px;

    display: block;

    width: var(--w);
    min-width: var(--w);

    height: var(--w);
    min-height: var(--w);

    color: var(--yellow);
}

/* Socials */

footer .socials {
    display: flex;
    align-items: center;
    gap: 1rem;
}
footer .socials a {
    width: 40px;
    height: 40px;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--footer-accent);
    transition: background-color 0.25s;

    border-radius: 50%;
    
}
footer .socials svg {
    color: #fff;
    transition: color 0.25s;
}

footer .socials a:is(:hover, :focus-visible) {
    background-color: var(--yellow);
}
footer .socials a:is(:hover, :focus-visible) svg {
    color: #00000094;
}

/* Bottom */
footer .footer-bottom {
    margin-top: 3.5rem;
    padding-top: 3.5rem;
    border-top: 1px solid var(--footer-accent);

    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 5rem;
}

footer .footer-bottom * {
    font-size: 1.4rem;
}
footer .footer-bottom p {
    color: var(--font-col-300);
}
footer .footer-bottom .terms {
    display: flex;
    gap: 2rem;
}

@media (max-width: 475px) {
    footer .footer-top h3 {
        font-size: 2.5rem;
        text-decoration: underline;
        text-underline-offset: 1.5rem;
        text-decoration-color: #ffffff1f;
    }
    footer nav {
        grid-template-columns: 1fr;
        text-align: center;
    }
    footer nav ul li > * {
        margin-inline: auto;
    }
    footer .footer-top .group ul {
        gap: 8px;
    }
    footer .footer-top .group ul li {
        display: grid;
    }
    footer .socials-header {
        display: none;
    }
    footer .socials {
        justify-content: center;
    }
    footer .footer-bottom {
        flex-direction: column-reverse;
        gap: 2rem;
    }
}